#include <stdio.h>
#include <stdlib.h>
using namespace std;

int a[100001], poz[100001];

int main() {
	int n, m, br=0, br2=0, ima=0, nema=0, rez=0;
	float l;
	scanf("%d%d", &n, &m);
	for (int i=0; i<n; i++) {
		scanf("%d", &a[i]);
	}
	
	for (int i=0; i<n; i++) {
		if (a[i] != 0 && a[i] != m) {
			l += a[i];
			br += 1;
		}
		else {
			poz[br2] = i;
			br2 += 1;
		}
	}
	l /= br;
	
	if (l <= (float)m / 2 ) {
		for (int i=0; i<br2; i++) {
			a[poz[i]] = 0;
		}
	}
	else {
		for (int i=0; i<br2; i++) {
			a[poz[i]] = m;
		}
	}
	
	while (true) {
		for (int i=0; i<n; i++) {
			if (a[i] != 0) {
				ima += 1;
				a[i] -= 1;
			}
			else nema += 1;
		}
		if (ima == 0) break;
		rez += ima*nema;
		ima = 0;
		nema=0;
	}
	
	printf("%d", rez);
}